2003-12-03 Paolo Bonzini <bonzini@gnu.org>
[autoconf.git] / Makefile.in
blob6c77a5f4456327216b5ae83b31c37fb10c9edf90
1 # Makefile.in generated by automake 1.7a from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
5 # Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
17 srcdir = @srcdir@
18 top_srcdir = @top_srcdir@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 top_builddir = .
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 INSTALL = @INSTALL@
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 subdir = .
38 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.in \
39 $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL \
40 Makefile.am NEWS README-alpha THANKS TODO configure \
41 configure.ac
42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43 am__aclocal_m4_deps = $(top_srcdir)/config/m4.m4 \
44 $(top_srcdir)/configure.ac
45 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46 $(ACLOCAL_M4)
47 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48 configure.lineno
49 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
50 CONFIG_CLEAN_FILES =
51 SOURCES =
52 DIST_SOURCES =
53 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
54 html-recursive info-recursive install-data-recursive \
55 install-exec-recursive install-info-recursive \
56 install-recursive installcheck-recursive installdirs-recursive \
57 pdf-recursive ps-recursive uninstall-info-recursive \
58 uninstall-recursive
59 am__installdirs = $(DESTDIR)$(pkgdatadir)
60 pkgdataDATA_INSTALL = $(INSTALL_DATA)
61 DATA = $(pkgdata_DATA)
62 ETAGS = etags
63 ETAGSFLAGS =
64 CTAGS = ctags
65 CTAGSFLAGS =
66 DIST_SUBDIRS = $(SUBDIRS)
67 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
68 distdir = $(PACKAGE)-$(VERSION)
69 top_distdir = $(distdir)
70 am__remove_distdir = \
71 { test ! -d $(distdir) \
72 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
73 && rm -fr $(distdir); }; }
74 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
75 GZIP_ENV = --best
76 distuninstallcheck_listfiles = find . -type f -print
77 distcleancheck_listfiles = find . -type f -print
78 ACLOCAL = @ACLOCAL@
79 AMTAR = @AMTAR@
80 AUTOCONF = @AUTOCONF@
81 AUTOHEADER = @AUTOHEADER@
82 AUTOMAKE = @AUTOMAKE@
83 AWK = @AWK@
84 CYGPATH_W = @CYGPATH_W@
85 DEFS = @DEFS@
86 ECHO_C = @ECHO_C@
87 ECHO_N = @ECHO_N@
88 ECHO_T = @ECHO_T@
89 EMACS = @EMACS@
90 EMACSLOADPATH = @EMACSLOADPATH@
91 EXPR = @EXPR@
92 HELP2MAN = @HELP2MAN@
93 INSTALL_DATA = @INSTALL_DATA@
94 INSTALL_PROGRAM = @INSTALL_PROGRAM@
95 INSTALL_SCRIPT = @INSTALL_SCRIPT@
96 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
97 LIBOBJS = @LIBOBJS@
98 LIBS = @LIBS@
99 LTLIBOBJS = @LTLIBOBJS@
100 M4 = @M4@
101 MAKEINFO = @MAKEINFO@
102 PACKAGE = @PACKAGE@
103 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
104 PACKAGE_NAME = @PACKAGE_NAME@
105 PACKAGE_STRING = @PACKAGE_STRING@
106 PACKAGE_TARNAME = @PACKAGE_TARNAME@
107 PACKAGE_VERSION = @PACKAGE_VERSION@
108 PATH_SEPARATOR = @PATH_SEPARATOR@
109 PERL = @PERL@
110 SET_MAKE = @SET_MAKE@
111 SHELL = @SHELL@
112 STRIP = @STRIP@
113 TEST_EMACS = @TEST_EMACS@
114 VERSION = @VERSION@
115 ac_ct_STRIP = @ac_ct_STRIP@
116 am__leading_dot = @am__leading_dot@
117 bindir = @bindir@
118 build_alias = @build_alias@
119 datadir = @datadir@
120 exec_prefix = @exec_prefix@
121 host_alias = @host_alias@
122 includedir = @includedir@
123 infodir = @infodir@
124 install_sh = @install_sh@
125 libdir = @libdir@
126 libexecdir = @libexecdir@
127 lispdir = @lispdir@
128 localstatedir = @localstatedir@
129 mandir = @mandir@
130 oldincludedir = @oldincludedir@
131 prefix = @prefix@
132 program_transform_name = @program_transform_name@
133 sbindir = @sbindir@
134 sharedstatedir = @sharedstatedir@
135 sysconfdir = @sysconfdir@
136 target_alias = @target_alias@
138 # bin/ and tests/ must be run first, as they build the tests executables
139 # (tests/autom4te etc.), that we happen to use here.
140 SUBDIRS = bin tests . lib config man doc
141 ACLOCAL_AMFLAGS = -I config
142 EXTRA_DIST = ChangeLog.0 ChangeLog.1 ChangeLog.2 \
143 BUGS \
144 GNUmakefile Makefile.maint Makefile.cfg
146 MAINTAINERCLEANFILES = INSTALL
147 pkgdata_DATA = INSTALL
148 AM_MAKEINFOFLAGS = --no-headers --no-validate --no-split
149 automake_cvsweb = \
150 http://sources.redhat.com/cgi-bin/cvsweb.cgi/~checkout~/automake
152 automake_cvsargs = \
153 'content-type=text/plain&cvsroot=automake'
155 autom4te_files = \
156 Autom4te/Configure_ac.pm \
157 Autom4te/Channels.pm \
158 Autom4te/FileUtils.pm \
159 Autom4te/Struct.pm \
160 Autom4te/XFile.pm
162 all: all-recursive
164 .SUFFIXES:
165 am--refresh:
167 $(srcdir)/Makefile.in: Makefile.am $(am__configure_deps)
168 @for dep in $?; do \
169 case '$(am__configure_deps)' in \
170 *$$dep*) \
171 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
172 cd $(srcdir) && $(AUTOMAKE) --gnu \
173 && exit 0; \
174 exit 1;; \
175 esac; \
176 done; \
177 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
178 cd $(top_srcdir) && \
179 $(AUTOMAKE) --gnu Makefile
180 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
181 @case '$?' in \
182 *config.status*) \
183 echo ' $(SHELL) ./config.status'; \
184 $(SHELL) ./config.status;; \
185 *) \
186 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
187 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
188 esac;
190 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
191 $(SHELL) ./config.status --recheck
193 $(top_srcdir)/configure: $(am__configure_deps)
194 cd $(srcdir) && $(AUTOCONF)
195 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
196 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
197 uninstall-info-am:
198 install-pkgdataDATA: $(pkgdata_DATA)
199 @$(NORMAL_INSTALL)
200 $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)
201 @list='$(pkgdata_DATA)'; for p in $$list; do \
202 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
203 f="`echo $$p | sed -e 's|^.*/||'`"; \
204 echo " $(pkgdataDATA_INSTALL) $$d$$p $(DESTDIR)$(pkgdatadir)/$$f"; \
205 $(pkgdataDATA_INSTALL) $$d$$p $(DESTDIR)$(pkgdatadir)/$$f; \
206 done
208 uninstall-pkgdataDATA:
209 @$(NORMAL_UNINSTALL)
210 @list='$(pkgdata_DATA)'; for p in $$list; do \
211 f="`echo $$p | sed -e 's|^.*/||'`"; \
212 echo " rm -f $(DESTDIR)$(pkgdatadir)/$$f"; \
213 rm -f $(DESTDIR)$(pkgdatadir)/$$f; \
214 done
216 # This directory's subdirectories are mostly independent; you can cd
217 # into them and run `make' without going through this Makefile.
218 # To change the values of `make' variables: instead of editing Makefiles,
219 # (1) if the variable is set in `config.status', edit `config.status'
220 # (which will cause the Makefiles to be regenerated when you run `make');
221 # (2) otherwise, pass the desired values on the `make' command line.
222 $(RECURSIVE_TARGETS):
223 @set fnord $$MAKEFLAGS; amf=$$2; \
224 dot_seen=no; \
225 target=`echo $@ | sed s/-recursive//`; \
226 list='$(SUBDIRS)'; for subdir in $$list; do \
227 echo "Making $$target in $$subdir"; \
228 if test "$$subdir" = "."; then \
229 dot_seen=yes; \
230 local_target="$$target-am"; \
231 else \
232 local_target="$$target"; \
233 fi; \
234 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
235 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
236 done; \
237 if test "$$dot_seen" = "no"; then \
238 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
239 fi; test -z "$$fail"
241 mostlyclean-recursive clean-recursive distclean-recursive \
242 maintainer-clean-recursive:
243 @set fnord $$MAKEFLAGS; amf=$$2; \
244 dot_seen=no; \
245 case "$@" in \
246 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
247 *) list='$(SUBDIRS)' ;; \
248 esac; \
249 rev=''; for subdir in $$list; do \
250 if test "$$subdir" = "."; then :; else \
251 rev="$$subdir $$rev"; \
252 fi; \
253 done; \
254 rev="$$rev ."; \
255 target=`echo $@ | sed s/-recursive//`; \
256 for subdir in $$rev; do \
257 echo "Making $$target in $$subdir"; \
258 if test "$$subdir" = "."; then \
259 local_target="$$target-am"; \
260 else \
261 local_target="$$target"; \
262 fi; \
263 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
264 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
265 done && test -z "$$fail"
266 tags-recursive:
267 list='$(SUBDIRS)'; for subdir in $$list; do \
268 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
269 done
270 ctags-recursive:
271 list='$(SUBDIRS)'; for subdir in $$list; do \
272 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
273 done
275 tags: TAGS
277 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
278 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
279 unique=`for i in $$list; do \
280 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
281 done | \
282 $(AWK) ' { files[$$0] = 1; } \
283 END { for (i in files) print i; }'`; \
284 mkid -fID $$unique
286 TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
287 $(TAGS_FILES) $(LISP)
288 tags=; \
289 here=`pwd`; \
290 if (etags --etags-include --version) >/dev/null 2>&1; then \
291 include_option=--etags-include; \
292 else \
293 include_option=--include; \
294 fi; \
295 list='$(SUBDIRS)'; for subdir in $$list; do \
296 if test "$$subdir" = .; then :; else \
297 test -f $$subdir/TAGS && \
298 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
299 fi; \
300 done; \
301 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
302 unique=`for i in $$list; do \
303 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
304 done | \
305 $(AWK) ' { files[$$0] = 1; } \
306 END { for (i in files) print i; }'`; \
307 test -z "$(ETAGS_ARGS)$$tags$$unique" \
308 || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
309 $$tags $$unique
311 ctags: CTAGS
312 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
313 $(TAGS_FILES) $(LISP)
314 tags=; \
315 here=`pwd`; \
316 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
317 unique=`for i in $$list; do \
318 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
319 done | \
320 $(AWK) ' { files[$$0] = 1; } \
321 END { for (i in files) print i; }'`; \
322 test -z "$(CTAGS_ARGS)$$tags$$unique" \
323 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
324 $$tags $$unique
326 GTAGS:
327 here=`$(am__cd) $(top_builddir) && pwd` \
328 && cd $(top_srcdir) \
329 && gtags -i $(GTAGS_ARGS) $$here
331 distclean-tags:
332 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
334 distdir: $(DISTFILES)
335 @case `sed 15q $(srcdir)/NEWS` in \
336 *"$(VERSION)"*) : ;; \
337 *) \
338 echo "NEWS not updated; not releasing" 1>&2; \
339 exit 1;; \
340 esac
341 $(am__remove_distdir)
342 mkdir $(distdir)
343 $(mkinstalldirs) $(distdir)/config $(distdir)/tests
344 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
345 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
346 list='$(DISTFILES)'; for file in $$list; do \
347 case $$file in \
348 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
349 $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
350 esac; \
351 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
352 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
353 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
354 dir="/$$dir"; \
355 $(mkinstalldirs) "$(distdir)$$dir"; \
356 else \
357 dir=''; \
358 fi; \
359 if test -d $$d/$$file; then \
360 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
361 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
362 fi; \
363 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
364 else \
365 test -f $(distdir)/$$file \
366 || cp -p $$d/$$file $(distdir)/$$file \
367 || exit 1; \
368 fi; \
369 done
370 list='$(SUBDIRS)'; for subdir in $$list; do \
371 if test "$$subdir" = .; then :; else \
372 test -d "$(distdir)/$$subdir" \
373 || mkdir "$(distdir)/$$subdir" \
374 || exit 1; \
375 (cd $$subdir && \
376 $(MAKE) $(AM_MAKEFLAGS) \
377 top_distdir="../$(top_distdir)" \
378 distdir="../$(distdir)/$$subdir" \
379 distdir) \
380 || exit 1; \
381 fi; \
382 done
383 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
384 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
385 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
386 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
387 || chmod -R a+r $(distdir)
388 dist-gzip: distdir
389 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
390 $(am__remove_distdir)
391 dist-bzip2: distdir
392 $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
393 $(am__remove_distdir)
395 dist-tarZ: distdir
396 $(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
397 $(am__remove_distdir)
399 dist-shar: distdir
400 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
401 $(am__remove_distdir)
403 dist-zip: distdir
404 -rm -f $(distdir).zip
405 zip -rq $(distdir).zip $(distdir)
406 $(am__remove_distdir)
408 dist dist-all: distdir
409 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
410 $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
411 $(am__remove_distdir)
413 # This target untars the dist file and tries a VPATH configuration. Then
414 # it guarantees that the distribution is self-contained by making another
415 # tarfile.
416 distcheck: dist
417 case '$(DIST_ARCHIVES)' in \
418 *.tar.gz*) \
419 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
420 *.tar.bz2*) \
421 bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
422 *.tar.Z*) \
423 uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
424 *.shar.gz*) \
425 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | unshar ;;\
426 *.zip*) \
427 unzip $(distdir).zip ;;\
428 esac
429 chmod -R a-w $(distdir); chmod a+w $(distdir)
430 mkdir $(distdir)/_build
431 mkdir $(distdir)/_inst
432 chmod a-w $(distdir)
433 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
434 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
435 && cd $(distdir)/_build \
436 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
437 $(DISTCHECK_CONFIGURE_FLAGS) \
438 && $(MAKE) $(AM_MAKEFLAGS) \
439 && $(MAKE) $(AM_MAKEFLAGS) dvi \
440 && $(MAKE) $(AM_MAKEFLAGS) check \
441 && $(MAKE) $(AM_MAKEFLAGS) install \
442 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
443 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
444 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
445 distuninstallcheck \
446 && chmod -R a-w "$$dc_install_base" \
447 && ({ \
448 (cd ../.. && $(mkinstalldirs) "$$dc_destdir") \
449 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
450 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
451 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
452 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
453 } || { rm -rf "$$dc_destdir"; exit 1; }) \
454 && rm -rf "$$dc_destdir" \
455 && $(MAKE) $(AM_MAKEFLAGS) dist \
456 && rm -rf $(DIST_ARCHIVES) \
457 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
458 $(am__remove_distdir)
459 @(echo "$(distdir) archives ready for distribution: "; \
460 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
461 sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
462 distuninstallcheck:
463 @cd $(distuninstallcheck_dir) \
464 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
465 || { echo "ERROR: files left after uninstall:" ; \
466 if test -n "$(DESTDIR)"; then \
467 echo " (check DESTDIR support)"; \
468 fi ; \
469 $(distuninstallcheck_listfiles) ; \
470 exit 1; } >&2
471 distcleancheck: distclean
472 @if test '$(srcdir)' = . ; then \
473 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
474 exit 1 ; \
476 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
477 || { echo "ERROR: files left in build directory after distclean:" ; \
478 $(distcleancheck_listfiles) ; \
479 exit 1; } >&2
480 check-am: all-am
481 check: check-recursive
482 all-am: Makefile $(DATA)
483 installdirs: installdirs-recursive
484 installdirs-am:
485 $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)
486 install: install-recursive
487 install-exec: install-exec-recursive
488 install-data: install-data-recursive
489 uninstall: uninstall-recursive
491 install-am: all-am
492 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
494 installcheck: installcheck-recursive
495 install-strip:
496 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
497 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
498 `test -z '$(STRIP)' || \
499 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
500 mostlyclean-generic:
502 clean-generic:
504 distclean-generic:
505 -rm -f $(CONFIG_CLEAN_FILES)
507 maintainer-clean-generic:
508 @echo "This command is intended for maintainers to use"
509 @echo "it deletes files that may require special tools to rebuild."
510 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
511 clean: clean-recursive
513 clean-am: clean-generic mostlyclean-am
515 distclean: distclean-recursive
516 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
517 -rm -f Makefile
518 distclean-am: clean-am distclean-generic distclean-tags
520 dvi: dvi-recursive
522 dvi-am:
524 info: info-recursive
526 info-am:
528 install-data-am: install-pkgdataDATA
530 install-exec-am:
532 install-info: install-info-recursive
534 install-man:
536 installcheck-am:
538 maintainer-clean: maintainer-clean-recursive
539 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
540 -rm -rf $(top_srcdir)/autom4te.cache
541 -rm -f Makefile
542 maintainer-clean-am: distclean-am maintainer-clean-generic
544 mostlyclean: mostlyclean-recursive
546 mostlyclean-am: mostlyclean-generic
548 pdf: pdf-recursive
550 pdf-am:
552 ps: ps-recursive
554 ps-am:
556 uninstall-am: uninstall-info-am uninstall-pkgdataDATA
558 uninstall-info: uninstall-info-recursive
560 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
561 check-am clean clean-generic clean-recursive ctags \
562 ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
563 dist-tarZ dist-zip distcheck distclean distclean-generic \
564 distclean-recursive distclean-tags distcleancheck distdir \
565 distuninstallcheck dvi dvi-am html html-am info info-am \
566 install install-am install-data install-data-am install-exec \
567 install-exec-am install-info install-info-am install-man \
568 install-pkgdataDATA install-strip installcheck installcheck-am \
569 installdirs installdirs-am maintainer-clean \
570 maintainer-clean-generic maintainer-clean-recursive \
571 mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
572 pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
573 uninstall-info-am uninstall-pkgdataDATA
576 html:
577 cd doc && $(MAKE) $(AM_MAKEFLAGS) $@
579 .PHONY: html
580 INSTALL: $(top_srcdir)/doc/install.texi
581 $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -o $(srcdir)/INSTALL \
582 $(top_srcdir)/doc/install.texi
584 maintainer-check: maintainer-check-tests
585 maintainer-check-tests:
586 cd tests && make maintainer-check
588 autom4te-update:
589 rm -rf Fetchdir > /dev/null 2>&1
590 mkdir Fetchdir; mkdir Fetchdir/Autom4te
591 (cd Fetchdir && \
592 $(WGET) $(automake_cvsweb)/lib/Automake/Configure_ac.pm?$(automake_cvsargs) -O Autom4te/Configure_ac.pm; \
593 $(WGET) $(automake_cvsweb)/lib/Automake/Channels.pm?$(automake_cvsargs) -O Autom4te/Channels.pm; \
594 $(WGET) $(automake_cvsweb)/lib/Automake/FileUtils.pm?$(automake_cvsargs) -O Autom4te/FileUtils.pm; \
595 $(WGET) $(automake_cvsweb)/lib/Automake/Struct.pm?$(automake_cvsargs) -O Autom4te/Struct.pm; \
596 $(WGET) $(automake_cvsweb)/lib/Automake/XFile.pm?$(automake_cvsargs) -O Autom4te/XFile.pm; \
598 perl -pi -e 's/Automake::/Autom4te::/g' Fetchdir/Autom4te/*.pm
599 for file in $(autom4te_files); do \
600 $(move_if_change) Fetchdir/$$file $(srcdir)/lib/$$file; \
601 done
602 # Tell versions [3.59,3.63) of GNU make to not export all variables.
603 # Otherwise a system limit (for SysV at least) may be exceeded.
604 .NOEXPORT: